Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
CoinSearchTreeBase Class Referenceabstract

`#include <CoinSearchTree.hpp>`

Inheritance diagram for CoinSearchTreeBase:
[legend]
Collaboration diagram for CoinSearchTreeBase:
[legend]

## Public Member Functions
virtual | ~CoinSearchTreeBase ()
virtual const char * | compName () const =0
const std::vector < CoinTreeSiblings * > & | getCandidates () const
bool | empty () const
int | size () const
int | numInserted () const
CoinTreeNode * | top () const
void | pop ()
| pop will advance the `next` pointer among the siblings on the top and then moves the top to its correct position. More...
void | push (int numNodes, CoinTreeNode **nodes, const bool incrInserted=true)
void | push (const CoinTreeSiblings &sib, const bool incrInserted=true)

## Protected Member Functions
| CoinSearchTreeBase ()
virtual void | realpop ()=0
virtual void | realpush (CoinTreeSiblings *s)=0
virtual void | fixTop ()=0

## Protected Attributes
std::vector< CoinTreeSiblings * > | candidateList_
int | numInserted_
int | size_

## Private Member Functions
| CoinSearchTreeBase (const CoinSearchTreeBase &)
CoinSearchTreeBase & | operator= (const CoinSearchTreeBase &)

## Detailed Description

Definition at line 217 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinSearchTreeBase::CoinSearchTreeBase | ( | const CoinSearchTreeBase & |  | ) |
| private

CoinSearchTreeBase::CoinSearchTreeBase | ( |  | ) |
| inline protected

Definition at line 229 of file CoinSearchTree.hpp.

virtual CoinSearchTreeBase::~CoinSearchTreeBase | ( |  | ) |
| inline virtual

Definition at line 236 of file CoinSearchTree.hpp.

## Member Function Documentation

CoinSearchTreeBase& CoinSearchTreeBase::operator= | ( | const CoinSearchTreeBase & |  | ) |
| private

virtual void CoinSearchTreeBase::realpop | ( |  | ) |
| protected pure virtual

Implemented in CoinSearchTree< Comp >.

virtual void CoinSearchTreeBase::realpush | ( | CoinTreeSiblings * | s | ) |
| protected pure virtual

Implemented in CoinSearchTree< Comp >.

virtual void CoinSearchTreeBase::fixTop | ( |  | ) |
| protected pure virtual

Implemented in CoinSearchTree< Comp >.

virtual const char* CoinSearchTreeBase::compName | ( |  | ) | const
| pure virtual

Implemented in CoinSearchTree< Comp >.

const std::vector<CoinTreeSiblings*>& CoinSearchTreeBase::getCandidates | ( |  | ) | const
| inline

Definition at line 239 of file CoinSearchTree.hpp.

bool CoinSearchTreeBase::empty | ( |  | ) | const
| inline

Definition at line 242 of file CoinSearchTree.hpp.

int CoinSearchTreeBase::size | ( |  | ) | const
| inline

Definition at line 243 of file CoinSearchTree.hpp.

int CoinSearchTreeBase::numInserted | ( |  | ) | const
| inline

Definition at line 244 of file CoinSearchTree.hpp.

CoinTreeNode* CoinSearchTreeBase::top | ( |  | ) | const
| inline

Definition at line 245 of file CoinSearchTree.hpp.

void CoinSearchTreeBase::pop | ( |  | ) |
| inline

pop will advance the `next` pointer among the siblings on the top and then moves the top to its correct position.

realpop is the method that actually removes the element from the heap

Definition at line 259 of file CoinSearchTree.hpp.

void CoinSearchTreeBase::push | ( | int | numNodes,
|  | CoinTreeNode ** | nodes,
|  | const bool | incrInserted = `true`
| ) |  |
| inline

Definition at line 269 of file CoinSearchTree.hpp.

void CoinSearchTreeBase::push | ( | const CoinTreeSiblings & | sib,
|  | const bool | incrInserted = `true`
| ) |  |
| inline

Definition at line 278 of file CoinSearchTree.hpp.

## Member Data Documentation

std::vector<CoinTreeSiblings*> CoinSearchTreeBase::candidateList_
| protected

Definition at line 224 of file CoinSearchTree.hpp.

int CoinSearchTreeBase::numInserted_
| protected

Definition at line 225 of file CoinSearchTree.hpp.

int CoinSearchTreeBase::size_
| protected

Definition at line 226 of file CoinSearchTree.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/CoinUtils/src/CoinSearchTree.hpp